---
updatedAt: 2026-04-28T05:05:53.000Z
agentTools:
  projectIndex: https://docs.clover.com/dev/llms.txt
---

# Manage item availability and low stock alerts

[block:html]
{
  "html": "<div class=\"container-top\">\n  \n<!--United States-->\n  <div class=\"container-reg\">\n    <div class=\"pill-reg\">\n      <div class=\"label-reg\">United States</div>\n    </div>\n  </div>\n  <!--Canada-->\n  <div class=\"container-reg\">\n    <div class=\"pill-reg\">\n      <div class=\"label-reg\">Canada</div>\n    </div>\n  </div>\n  <!--Europe-->\n  <div class=\"container-reg\">\n    <div class=\"pill-reg\">\n      <div class=\"label-reg\">Europe</div>\n    </div>\n  </div>  \n</div>\n\n\n<!--Css-->\n<style>\n.container-top {\n  top: -15px;\n  position: relative;\n  margin-bottom: -5px;\n}\n\n.container-reg {\n  align-items: center;\n  min-width: auto; \n  width: fit-content;\n  text-align: left;\n  overflow: auto;\n  display: inline-block; \n}\n\n/*Pill format REG*/\n.pill-reg {\n  background: #44BB44;\n  border: .5px solid #44BB44;\n  margin-left: 5px;\n  overflow: auto;\n  display: flex; \n  justify-content: center; \n  align-items: center; \n  border-radius: 10px;\n  height: 1.8rem;\n  margin-top: 10px;\n  margin-bottom: 1.5px; \n  padding: 0 10px; \n}\n\n/*Text FORMAT inside REG pills */\n.pill-reg .label-reg, \n.pill-reg__addon .label-reg \n{\n  font-style: normal;\n  font-weight: normal;\n  font-size: 12px;\n  color: #fff;\n  vertical-align: middle;\n  margin: 0;\n  padding: 0 5px;\n}\n</style>"
}
[/block]

[block:html]
{
  "html": "<!-- DS-6106-2024-Dec-10-Updated all links to apisandbox. -->\n<!--2025-JAN-06 DS-7454 -->\n<!-- DS-7586 [Aneesha] 2025-04-21; Removed procedures and images for Merch Dashboard and added links to relevant procedures in the Clover Help. Going forward, all references to Merchant Dashboard procedures should be redirected to the Clover Help - this saves time by reducing duplication of efforts and ensures accuracy with a single source of information, specially as new verticals are added on the Merchant Dashboard (Dash 3).\n<!-- DS-7556 [Aneesha] 2026-01-12; updated with `stockAlertThreshold` info."
}
[/block]

Item availability in the inventory is managed through both the Merchant Dashboard and the REST APIs. When creating or updating an item stock, you can add a stock alert threshold and use it to display low stock value.

# Manage item availability on the Merchant Dashboard

Merchants can manage an item's availability automatically or manually on the Merchant Dashboard. See Clover Help to:

* [Automatically manage item availability](https://www.clover.com/en-US/help/automatically-manage-item-availability)
* [Manually manage item and modifier availability](https://www.clover.com/en-US/help/manually-manage-item-availability)
* [View and find unavailable or out-of-stock items](https://www.clover.com/en-US/help/view-and-find-unavailable-items)

# Before you begin

1. **`Quantity` versus `stockCount` parameter**
   * **Recommended parameter: `quantity`**: The `quantity` parameter holds an item’s stock and is found by expanding `item` parameter when viewing items. This parameter can only be updated through [Update the stock of an inventory item](https://docs.clover.com/dev/reference/inventoryupdateitemstock) endpoint. It supports whole or decimal numbers, both positive and negative.
   * **Deprecated parameter: `stockCount`**: The `stockCount` is a **deprecated parameter** that always displays `quantity` rounded to the nearest whole number. As a result, its use is discouraged. Example: Decimal quantity value of `160.5` is rounded to `161` for `stockCount`.
2. **Region:** The `stockAlertThreshold` parameter is currently only available in North America—US and Canada, and not in Europe.

***

# Manage item availability with Clover REST APIs

## Prerequisite

[Create merchant-specific API token in sandbox](https://docs.clover.com/dev/docs/gdp-create-merchant-specific-api-token).

## Create item stock

1. Send a POST request to add stock for an item `/v3/merchants/{merchantId}/item_stocks/{itemId}`.
2. Enter required information—`mId`, `itemID`, and `quantity`.\
   **Note:** Decimals are allowed for `quantity`, such as 160.5.
3. Enter optional information—`stockAlertThreshold` to track item stock levels and get notified when the item is running low.\
   **Format:** Only positive values with up to 6 decimal points for items with per unit price; Only positive whole numbers for items with fixed and variable price.
4. Set the Authorization header to Bearer token type, and enter the merchant's API token.

### Request and Response example—Create item stock

```curl Request
curl --request POST \
  --url 'https://apisandbox.dev.clover.com/v3/merchants/{merchantId}/item_stocks/{itemId}' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer {access_token}' \
  --data '{
    "quantity": 100,
    "stockAlertThreshold": 10
  }'
```
```json Response
{
  "item": {
    "id": "SPV2F93GT625T"
  },
   "stockCount": 100, 
  "quantity": 100.0,
  "stockAlertThreshold": 10,
  "modifiedTime": 1768156200000
}
```

## Update item stock quantity

1. Send a POST request to `/v3/merchants/{mId}/item_stocks/{itemId}`.
2. Enter required information—`mId`, `itemId`and `quantity`.
3. Enter optional information—`stockAlertThreshold` to track item stock levels and get notified when the item is running low.\
   **Format:** Only positive values with up to 6 decimal points for items with per unit price; Only positive whole numbers for items with fixed and variable price.
4. Set the Authorization header to Bearer token type, and enter the merchant's API token.

In response, the `quantity` and `stockAlertThreshold` value are updated.

### Request and response sample—Update item stock quantity

```curl Request

curl --request POST \
  --url 'https://apisandbox.dev.clover.com/v3/merchants/{mId}/item_stocks/{itemId}' \
  --header 'content-type: application/json' \
  --header 'authorization: Bearer {access_token}' \
  --data '{
    "quantity": 50,
    "stockAlertThreshold": 5
  }'
```
```json Response
{
  "item": {
    "id": "SPV2F93GT625T"
  },
  "stockCount": 50,
  "quantity": 50.0,
  "stockAlertThreshold": 5,
  "modifiedTime": 1768156200000
}
```

## Delete an item stock

1. Send a DELETE request to `https://apisandbox.dev.clover.com/v3/merchants/{mId}/item_stocks/{itemId}`.
2. Enter required information—`mId` and `itemId`.
3. Set the Authorization header to Bearer token type, and enter the merchant's API token.

***

## View item stock for a merchant's inventory

1. Send a GET request to view the inventory stock for a merchant `/v3/merchants/{mId}/item_stocks`.
2. Enter required information—`mId`.
3. Set the Authorization header to Bearer token type, and enter the merchant's API token.

### Request and Response example—View items stock for a merchant inventory

```curl Request
curl --request GET \
     --url 'https://apisandbox.dev.clover.com/v3/merchants/{mId}/item_stocks' \
     --header 'content-type: application/json' \
     --header 'authorization: Bearer {access_token}' \   
```
```json Response
{
  "elements": [
    {
      "item": {
        "id": "SPV2F93GT625T"
      },
      "stockCount": 50,
      "quantity": 50.0,
      "stockAlertThreshold": 10,
      "modifiedTime": 1736146835000
    },
    {
      "item": {
        "id": "8CQ95676VHR7G"
      },
      "stockCount": 20,
      "quantity": 20.0,
      "stockAlertThreshold": 5,
      "modifiedTime": 1768156200000
    }
  ]
}
```

## View item stock count, availability, and auto-manage status

To view an item's stock count, whether or not an item is available for ordering, and if the item is auto-managed:

1. Send a GET request to `/v3/merchants/{mId}/items/{item_id}`.
2. Enter required information—`mId` and `itemId`.
3. Set the Authorization header to Bearer token type, and enter the merchant's API token.

In response, the values indicate the following:

* `"available": false`—whether the item is not available for ordering.
* `"available": true`—whether the item is available for ordering.
* `"autoManage": true`—whether the merchant has set up auto-manage item availability on the Merchant Dashboard.
* `"autoManage": false` —default setting.

### Request and response sample—View item stock details

The following sample response displays that the item `"20 Wings"` is auto-managed (`"autoManage": true`). Since the stock count is zero (`"stockCount": 0`), the item (`"20 Wings"`) is unavailable for ordering (`"available": false`).

```curl Request
curl --request GET \
     --url 'https://apisandbox.dev.clover.com/v3/merchants/{merchantId}/items/{itemId}?expand=itemStock&filter=lowStock=true'\ 
     --header 'content-type: application/json' \
     --header 'authorization: Bearer {access_token}'
```
```json Response
{
  "id": "0ZHZ8Y66S63EP",
  "hidden": false,
  "available": false,
  "autoManage": true,
  "name": "20 Wings",
  "code": "",
  "sku": "",
  "price": 1295,
  "priceType": "FIXED",
  "defaultTaxRates": true,
  "unitName": "",
  "cost": 0,
  "isRevenue": true,
  "itemStock": {
    "item": {
      "id": "0ZHZ8Y66S63EP"
    },
    "stockCount": 50,
    "quantity": 50.0,
    "stockAlertThreshold": 5,
    "modifiedTime": 1736146835000
  }
}
```

## View low stock items

1. Send a GET request to `/v3/merchants/{mId}/items?expand=itemStock&filter=lowStock=true`.
2. Enter required information—`mId`.
3. Use filters and expansions to indicate the search parameters:
   * In the expand field, enter `itemStock`.
   * In the filter field, enter `lowStock`=**true**.
4. Set the Authorization header to Bearer token type, and enter the merchant's API token.

See [Apply filters](https://docs.clover.com/dev/docs/applying-filters) and [Use expandable fields](https://docs.clover.com/dev/docs/expanding-fields) for more information on working with `filter` and `expand` parameters in your requests.

### Request and response sample—View low stock items

The `stockAlertThreshold` parameter displays if the `itemStock` field is expanded. The filter returns all items with a stock quantity less than or equal to the `stockAlertThreshold`.

```curl Request
curl --request GET \
     --url 'https://apisandbox.dev.clover.com/v3/merchants/{mId}/items? expand=itemStock&filter=lowStock=true' \
     --header 'content-type: application/json' \
     --header 'authorization: Bearer {access_token}' \   
```
```json Response
{
    "elements": [
        {
            "id": "HX1WAVXZN004T",
            "hidden": false,
            "available": true,
            "autoManage": false,
            "name": "Fresh orange juice",
            "price": 1500,
            "priceType": "FIXED",
            "defaultTaxRates": true,
            "cost": 0,
            "isRevenue": true,
            "stockCount": -7,
            "itemStock": {
                "item": {
                    "id": "HX1WAVXZN004T"
                },
                "stockCount": -7,
                "quantity": -7.0,
                "modifiedTime": 1738104185000,
                "stockAlertThreshold": 0
            },
            "modifiedTime": 1726854407000,
            "deleted": false,
            "type": "Regular",
            "onlineName": "Fresh orange juice",
            "enabledOnline": false
        },
        {
            "id": "3NG4Y96XVJGTP",
            "hidden": false,
            "available": true,
            "autoManage": false,
            "name": "Pulpy orange",
            "price": 1500,
            "priceType": "FIXED",
            "defaultTaxRates": true,
            "cost": 0,
            "isRevenue": true,
            "stockCount": 0,
            "itemStock": {
                "item": {
                    "id": "3NG4Y96XVJGTP"
                },
                "stockCount": 3,
                "quantity": 3.0,
                "modifiedTime": 1738185213000,
                "stockAlertThreshold": 3
            },
            "modifiedTime": 1724971410000,
            "deleted": false,
            "type": "REGULAR",
            "onlineName": "Pulpy orange",
            "enabledOnline": false
        },
        {
            "id": "HRSV0WC2DMABW",
            "hidden": false,
            "available": true,
            "autoManage": false,
            "name": "Orange crush",
            "price": 1500,
            "priceType": "FIXED",
            "defaultTaxRates": true,
            "cost": 0,
            "isRevenue": true,
            "stockCount": 0,
            "itemStock": {
                "item": {
                    "id": "HRSV0WC2DMABW"
                },
                "stockCount": 3,
                "quantity": 3.0,
                "modifiedTime": 1738104180000,
                "stockAlertThreshold": 4
            },
            "modifiedTime": 1724816344000,
            "deleted": false,
            "type": "REGULAR",
            "onlineName": "Orange crush",
            "enabledOnline": false
        }
    ],
```

***

## Manually set item as unavailable

If an item is managed manually, it is not dependent on the stock count and must be removed manually from ordering when it is unavailable:

**NOTE:** You cannot update an item's stock count using this endpoint. It only modifies general item properties, such as its name, price, or available status. To change an item's stock quantity, you must use the POST /v3/merchants/{mId}/item\_stocks/{itemId} endpoint.

1. Send a POST request to `/v3/merchants/{mId}/items/{itemId}`.
2. Enter required information—`mId` and `itemId`.
3. Set `"available:"` to `false`.
4. Set the Authorization header to Bearer token type, and enter the merchant's API token.

### Request and response sample—Set item as unavailable

```curl Request
curl --request POST \
     --url 'https://apisandbox.dev.clover.com/v3/merchants/{mId}/items/{itemId}' \
     --header 'content-type: application/json' \
     --header 'authorization: Bearer {access_token}' \
     --data '{
       "hidden": false,
       "available": false,
       "autoManage": false,
       "defaultTaxRates": true,
       "isRevenue": false
     }'
```
```json Response
{
  "id": "HW61J0FJP743M",
  "hidden": false,
  "available": false,
  "autoManage": false,
  "name": "Apple";
  "code": "",
  "sku": "",
  "price": 0,
  "priceType": "VARIABLE",
  "defaultTaxRates": true,
  "unitName": "",
  "cost": 0,
  "isRevenue": false,
  "stockCount": 0,
  "modifiedTime": 1736153065000,
  "deleted": false
}
```

***

## Webhook notifications and developer action

You can set up webhook notifications when inventory changes occur, such as when an item becomes unavailable. These notifications include the merchantId, webhook topic, and item ID. Webhooks provide information about actions such as inventory creation or updates, enabling real-time tracking of inventory changes. For instance, with Read Inventory permission, you can set up webhooks to receive POST requests to a specified endpoint whenever the merchant updates their inventory. For more information, see [Use webhooks](https://docs.clover.com/dev/docs/webhooks#set-up-a-test-url-for-webhooks).

***

# Related topics

* [Work with inventory](https://docs.clover.com/dev/docs/working-with-inventory)
* [Create an item stock](https://docs.clover.com/dev/reference/inventorycreateitemstock) endpoint
* [Get the stock of all inventory items](https://docs.clover.com/dev/reference/inventorygetitemstocks) endpoint
* [Get the stock of an inventory item](https://docs.clover.com/dev/reference/inventorygetitemstock) endpoint
* [Update the stock of an inventory item](https://docs.clover.com/dev/reference/inventoryupdateitemstock) endpoint
* [Update an existing inventory item](https://docs.clover.com/dev/reference/inventoryupdateitem) endpoint
* [Delete the stock of an inventory item](https://docs.clover.com/dev/reference/inventorydeleteitemstock) endpoint
* [Clover Help—Define your items](https://www.clover.com/en-US/help/define-your-items)